/**
 * Formats a string according to format given as `string`.
 */
function format() {
  let string = arguments[0];
  let args = Array.slice(arguments, 1);
  return string.replace(/{(\d+)}/g, function(match, number) {
    return typeof args[number] != 'undefined'
    ? args[number]
    : match
    ;
  });
}
module.exports = format;
