const {Cc, Ci} = require('chrome');

function generate() {
  let uuidGenerator = Cc["@mozilla.org/uuid-generator;1"].getService(Ci.nsIUUIDGenerator);
  let uuid = uuidGenerator.generateUUID().toString();
  return uuid.replace(/[{}]/g, ''); // UUID is wrapped in curly braces; un-wrap
}
exports.generate = generate;
